#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	double-conversion
Version		:	3.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	Library providing binary-decimal and decimal-binary routines for IEEE doubles

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/google/double-conversion

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	cmake
#-----------------------------------------------------------------------------
%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md AUTHORS
%license LICENSE
%{_libdir}/lib%{name}.so.*
#=============================================================================
%package		devel
Summary		:	Library providing binary-decimal and decimal-binary routines for IEEE doubles

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Contains header files for developing applications that use the %{name}
library.
 
There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/*.h
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_libdir}/libdouble-conversion.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build-shared
pushd build-shared

cmake							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D BUILD_SHARED_LIBS=ON				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build-shared						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
